Установить libuv на Ubuntu 12.04

85
10

Я пытаюсь создать cpp-драйвер с сайта Datastax. Я на ubuntu 12.04. В инструкциях написано добавить ppa: linuxjedi/ppa в репозиторий, чтобы можно было установить libuv. Однако я получаю


Package libuv-dev is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source

E: Package 'libuv-dev' has no installation candidate


когда я пытаюсь сделать обновление после добавления ppa. Есть ли альтернатива установке libuv на ubuntu 12.04?

спросил(а) 2015-09-07T15:07:00+03:00 5 лет, 4 месяца назад
1
Решение
84

Попробуйте создать исходный код:

sudo apt-get install make automake libtool curl
curl -sSL https://github.com/libuv/libuv/archive/v1.8.0.tar.gz | sudo tar zxfv - -C /usr/local/src
cd /usr/local/src/libuv-1.8.0
sudo sh autogen.sh
sudo ./configure
sudo make
sudo make install
sudo rm -rf /usr/local/src/libuv-1.8.0 && cd ~/
sudo ldconfig

ответил(а) 2016-01-18T19:47:00+03:00 5 лет назад
85

Попробуйте добавить PPA с опцией -E:


sudo -E apt-add-repository -y ppa:linuxjedi/ppa
sudo apt-get update

а затем запустите


sudo apt-get install g++ make cmake libuv-dev libssl-dev

ответил(а) 2015-12-09T22:36:00+03:00 5 лет, 1 месяц назад
Ваш ответ
Введите минимум 50 символов
Чтобы , пожалуйста,
Выберите тему жалобы:

Другая проблема